#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.1
visibility:           public
id:                   tree-diff-0.1-3ha9f966oOtFpIQKT86KLv
key:                  tree-diff-0.1-3ha9f966oOtFpIQKT86KLv
license:              GPL-2.0-or-later
copyright:            (c) 2017-2019 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  2461e39b4b399b1560425ec89d2c7644
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.Parser
    Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-8.10.2/site-local/tree-diff-0.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/tree-diff-0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/tree-diff-0.1
hs-libraries:         HStree-diff-0.1-3ha9f966oOtFpIQKT86KLv
depends:
    QuickCheck-2.14.1-9zXW5y3zBnmErgM0RNTDdl
    aeson-1.5.4.1-4Nv81C7yM4T6uNAFnMKAMT
    ansi-terminal-0.11-9QP1xnfjysr3wgOZIFUf22
    ansi-wl-pprint-0.6.9-APH6vBgt13yAzpysnUlRFt base-4.14.1.0
    base-compat-0.11.2-JggHr2fdYLe83DSFk1MYK3 bytestring-0.10.10.0
    containers-0.6.2.1 hashable-1.3.0.0-721kNM3j5bBIt9xVKk9coj
    parsec-3.1.14.0 parsers-0.12.10-7Uq7sF2H8Mp1vh8RCfjRcM
    pretty-1.1.3.6 scientific-0.3.6.2-CbP4YK8LKwzvUAnR6NXIU
    tagged-0.8.6-6ynGuqiqWewDmeFAuVgKQe text-1.2.3.2 time-1.9.3
    unordered-containers-0.2.13.0-6q3cQWpCZsu6FmjYex198
    uuid-types-1.0.3-J39nO94TXtc8OZVGqmam22
    vector-0.12.1.2-8JnII87F5kG77YeYoDmuxa

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

